Package org.eclipse.jdt.launching.sourcelookup.containers

# Class JavaProjectSourceContainer

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
org.eclipse.jdt.launching.sourcelookup.containers.JavaProjectSourceContainer

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.sourcelookup.ISourceContainer`

public class JavaProjectSourceContainer extends org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
Java project source container. Searches for source in a project's source folders.

This class may be instantiated.

Since:
  3.0
Restriction:
  This class is not intended to be sub-classed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_ID`
Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.javaProject`).

### Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`JavaProjectSourceContainer(IJavaProject project)`
Constructs a source container on the given Java project.

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.debug.core.sourcelookup.ISourceContainer[]`
`createSourceContainers()`
`void`
`dispose()`
`boolean`
`equals(Object obj)`
`Object[]`
`findSourceElements(String name)`
`IJavaProject`
`getJavaProject()`
Returns the Java project associated with this source container.
`String`
`getName()`
`org.eclipse.debug.core.sourcelookup.ISourceContainerType`
`getType()`
`int`
`hashCode()`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer

`findSourceElements, getSourceContainers, isComposite`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`abort, getDirector, getSourceContainerType, init, isFindDuplicates, warn`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Field Details

### TYPE_ID

public static final String TYPE_ID
Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.javaProject`).

## Constructor Details

### JavaProjectSourceContainer

public JavaProjectSourceContainer(IJavaProject project)
Constructs a source container on the given Java project.

Parameters:
  `project` - project to look for source in

## Method Details

### getName

public String getName()

### getType

public org.eclipse.debug.core.sourcelookup.ISourceContainerType getType()

### getJavaProject

public IJavaProject getJavaProject()
Returns the Java project associated with this source container.

Returns:
  Java project

### createSourceContainers

protected org.eclipse.debug.core.sourcelookup.ISourceContainer[] createSourceContainers() throws org.eclipse.core.runtime.CoreException

Specified by:
  `createSourceContainers` in class `org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer`
Throws:
  `org.eclipse.core.runtime.CoreException`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### findSourceElements

public Object[] findSourceElements(String name) throws org.eclipse.core.runtime.CoreException

Specified by:
  `findSourceElements` in interface `org.eclipse.debug.core.sourcelookup.ISourceContainer`
Overrides:
  `findSourceElements` in class `org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer`
Throws:
  `org.eclipse.core.runtime.CoreException`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.debug.core.sourcelookup.ISourceContainer`
Overrides:
  `dispose` in class `org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer`